Bug 18901 - xinetd Time service broken
xinetd Time service broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-11 11:59 EDT by Hal Burgiss
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-12 23:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hal Burgiss 2000-10-11 11:59:04 EDT
The internal time service of xinetd does not work, or if it does,
it is significantly different that previous inetd implementations.
Using rdate to set time from a LAN connection generates 'connection
refused' no matter what. It would seem to be a problem with libwrap ->
xinetd:

[root@junior /tmp]# rdate -s feenix
 rdate: couldn't connect to host feenix: Connection refused

Log:

 Oct 11 04:01:33 localhost xinetd[24131]: FAIL: time libwrap
  from=192.168.10.2

None of the following in /etc/hosts.allow works: ALL : ALL,
ALL : 192.168.10.2, time : ALL, INTERNAL : ALL. ALL : <hostname>.
Nor does moving both hosts.deny and allow out of the way completely.
(Restart xinetd on each test.)
Comment 1 Hal Burgiss 2000-10-12 23:43:59 EDT
I forgot to say that telnet, wu-ftp, rsh, and rlogin are all
working fine. Config file:

{
     wait           = no
     user           = root
     disable        = no
     socket_type    = stream
     protocol       = tcp
     server         = INTERNAL
}
Comment 2 Trond Eivind Glomsrxd 2000-10-17 13:12:08 EDT
This is fixed in xinetd-2.1.8.9pre11-1.

Note You need to log in before you can comment on or make changes to this bug.